Follow

Postbox Mac App Icon has a circle slash and will not start

Postbox on the Mac requires Mac OS 10.6 and later, and hardware that is capable of running 64-bit applications.

To determine if your Mac can run 64-bit applications, launch a program called "Activity Monitor" located within Applications / Utilities.

Under the "Kind" column, if you see applications running as "Intel (64-bit)," then you can run Postbox 2.5 or higher. If you only see "Intel," then you can only run Postbox 2.1.4 or earlier. A 32-bit version of Postbox 2.1.4 can be found here: 

http://support.postbox-inc.com/entries/276546-where-to-download-older-versions-of-postbox.